# Generated by rust2rpm
# Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

# "cat" and "exit" seem to be just examples
%global __cargo_is_bin() false

%global crate tokio-process

Name:           rust-%{crate}
Version:        0.2.3
Release:        1%{?dist}
Summary:        Implementation of an asynchronous process management backed futures

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/tokio-process
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No windows
Patch0:         tokio-process-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(futures/default) >= 0.1.11 with crate(futures/default) < 0.2.0)
BuildRequires:  (crate(libc/default) >= 0.2.0 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(mio/default) >= 0.6.5 with crate(mio/default) < 0.7.0)
BuildRequires:  (crate(tokio-io/default) >= 0.1.0 with crate(tokio-io/default) < 0.2.0)
BuildRequires:  (crate(tokio-reactor/default) >= 0.1.0 with crate(tokio-reactor/default) < 0.2.0)
BuildRequires:  (crate(tokio-signal/default) >= 0.2.5 with crate(tokio-signal/default) < 0.3.0)
%if %{with check}
BuildRequires:  (crate(env_logger) >= 0.4.0 with crate(env_logger) < 0.5.0)
BuildRequires:  (crate(log/default) >= 0.4.0 with crate(log/default) < 0.5.0)
BuildRequires:  (crate(tokio-current-thread/default) >= 0.1.0 with crate(tokio-current-thread/default) < 0.2.0)
BuildRequires:  (crate(tokio/default) >= 0.1.0 with crate(tokio/default) < 0.2.0)
%endif

%global _description \
An implementation of an asynchronous process management backed futures.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/appveyor.yml
%exclude %{_bindir}/{exit,cat}

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Nov 09 2018 Josh Stone <jistone@redhat.com> - 0.2.3-1
- Update to 0.2.3

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.2-3
- Rebuild to trigger tests

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.2-1
- Update to 0.2.2

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.5-1
- Initial package
